libcoap 4.3.2rc2

Macros
coap_internal.h File Reference

Pulls together all the internal only header files. More...

`#include "coap_config.h"`
`#include "coap3/coap.h"`
`#include "coap_asn1_internal.h"`
`#include "coap_async_internal.h"`
`#include "coap_block_internal.h"`
`#include "coap_cache_internal.h"`
`#include "coap_dtls_internal.h"`
`#include "coap_hashkey_internal.h"`
`#include "coap_io_internal.h"`
`#include "coap_layers_internal.h"`
`#include "coap_mutex_internal.h"`
`#include "coap_net_internal.h"`
`#include "coap_netif_internal.h"`
`#include "coap_pdu_internal.h"`
`#include "coap_resource_internal.h"`
`#include "coap_session_internal.h"`
`#include "coap_subscribe_internal.h"`
`#include "coap_tcp_internal.h"`
`#include "coap_uri_internal.h"`
`#include "coap_utlist_internal.h"`
`#include "coap_uthash_internal.h"`
`#include "coap_ws_internal.h"`

Go to the source code of this file.

## Macros
#define | PRIx32 "x"
#define | PRIu32 "u"
#define | PRIx64 "lx"
#define | PRIu64 "lu"
#define | COAP_SERVER_SUPPORT 1
#define | COAP_CLIENT_SUPPORT 1
#define | COAP_IPV4_SUPPORT 1
#define | COAP_IPV6_SUPPORT 1

## Detailed Description

Pulls together all the internal only header files.

Definition in file coap_internal.h.

## Macro Definition Documentation

## ◆ COAP_CLIENT_SUPPORT

#define COAP_CLIENT_SUPPORT 1

Definition at line 63 of file coap_internal.h.

## ◆ COAP_IPV4_SUPPORT

#define COAP_IPV4_SUPPORT 1

Definition at line 70 of file coap_internal.h.

## ◆ COAP_IPV6_SUPPORT

#define COAP_IPV6_SUPPORT 1

Definition at line 71 of file coap_internal.h.

## ◆ COAP_SERVER_SUPPORT

#define COAP_SERVER_SUPPORT 1

Definition at line 62 of file coap_internal.h.

## ◆ PRIu32

#define PRIu32 "u"

Definition at line 45 of file coap_internal.h.

## ◆ PRIu64

#define PRIu64 "lu"

Definition at line 51 of file coap_internal.h.

## ◆ PRIx32

#define PRIx32 "x"

Definition at line 42 of file coap_internal.h.

## ◆ PRIx64

#define PRIx64 "lx"

Definition at line 48 of file coap_internal.h.